> For the complete documentation index, see [llms.txt](https://docs.klimaprotocol.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.klimaprotocol.com/reference/token-distribution.md).

# Token Distribution

The Klima Protocol uses two native tokens and onchain carbon tokens to operate its infrastructure.

### Summary

#### kVCM

* Floating supply (starting at 20 million), expanding and contracting as carbon is acquired or retired.
* Serves as the medium of exchange for all carbon trades with the Protocol.&#x20;
* Can be locked to influence carbon class execution rates.&#x20;

#### K2&#x20;

* Fixed supply of 100 million, distributed programmatically as incentives.
* Can be locked to vote on carbon class capacity.&#x20;

#### Carbon tokens&#x20;

* Tokenised representations of specific carbon credits.
* Grouped into carbon classes for efficient pricing and allocation.
* Acquired by the protocol and retired when users redeem certificates.

#### Shared mechanics

* All carbon is priced and executed in kVCM terms only only.
* Participants can engage with, or withdraw from the ecosystem, via the kVCM<>USD liquidity pool 24/7.
* Vote-locked kVCM, user-locked K2, and liquidity providers may receive protocol incentives in accordance with pre-defined rules.

### Initial State

#### &#x20;**kVCM**

* Initial kVCM token distribution: 20 million.
* Floating supply.&#x20;

| Cohort                                        | Proportion | Quantity (M) | Note                                                                   |
| --------------------------------------------- | ---------- | ------------ | ---------------------------------------------------------------------- |
| KLIMA Holders (Fair Launch participants)      | 77.5%      | 15.5         | Via Fair Launch claim function                                         |
| Latecomers migration contract (KLIMA holders) | 10%        | 2            | To enable remaining KLIMA conversion to be converted at a reduced rate |
| Treasury                                      | 10%        | 2            | For liquidity & future carbon allocation needs.                        |
| 01X Consulting FZE (“01X”) -                  | 2.5%       | 0.5          | Per contractual agreement, compensation for model development.         |

#### K2

* Initial K2 token distribution: 7 million.
* Final distribution: 100 million.
* Fixed supply.&#x20;

| Cohort                   | Proportion | Quantity (M) | Note                                                                                              |
| ------------------------ | ---------- | ------------ | ------------------------------------------------------------------------------------------------- |
| Treasury                 | 4.5%       | 4.5          | Locked in kVCM/K2 LP (24 months), or held in reserve.                                             |
| 01X                      | 2.5%       | 2.5          | 24 month lock providing LP in kVCM/K2                                                             |
| Fair Launch Participants | 40%        | 40           | Allocated proportionally against Fair Launch (distributed over 48 month period — see white paper) |
| Programmatic Incentives  | 40%        | 40           | Protocol native incentive (distributed over 48 month period — see white paper)                    |
| Ecosystem Grant Reserve  | 5%         | 5            | TBD                                                                                               |
| Product Development Fund | 5%         | 5            | TBD                                                                                               |
| pKlima Holders           | 3%         | 3            | Distributed over 48 month period — see white paper                                                |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.klimaprotocol.com/reference/token-distribution.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
